import 'package:dpay_flutter/CustomerInfo.dart';

class DCheckoutOptions extends CustomerInfo{
  String _accessToken;
  String _environment;
  String _locale;
  String _siteName;
  String _orderId;
  String _themeColor;
  String _accentColor;
  String _currency;
  String _amount;
  String _paymentType;

  String get accessToken => _accessToken;

  set accessToken(String accessToken) {
    _accessToken = accessToken;
  }

  String get environment => _environment;

  set environment(String environment) {
    _environment = environment;
  }

  String get locale => _locale;

  set locale(String locale) {
    _locale = locale;
  }

  String get siteName => _siteName;

  set siteName(String site_name) {
    _siteName = site_name;
  }

  String get orderId => _orderId;

  set orderId(String order_id) {
    _orderId = order_id;
  }

  String get amount => _amount;

  set amount(String amount) {
    _amount = amount;
  }

  String get paymentType => _paymentType;

  set paymentType(String payment_type) {
    _paymentType = payment_type;
  }

  Map<String, String> toMap() {
    return {
      'locale': locale,
      'siteName': siteName,
      'environment': environment,
      'orderId': orderId,
      'accessToken': accessToken,
      'customerId': customerId,
      'customerGivenName': customerGivenName,
      'customerEmail': customerEmail,
      'amount': amount,
      'payment_type': paymentType,
    };
  }
}